#
# Cookbook Name:: racoon-ipsec-osx
# Recipe:: default
#
# Author:: Joshua Timberman <joshua@opscode.com>
# Copyright 2013, Opscode, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

directory "/etc/racoon/racoon.d" do
  owner "root"
  group "wheel"
  mode 00700
  recursive true
end

template "/etc/racoon/racoon.conf" do
  source "racoon.conf.erb"
  owner "root"
  group "wheel"
  mode 00644
  notifies :restart, 'service[com.apple.racoon]'
end

service "com.apple.racoon" do
  action :start
end
